#!/bin/sh
### BEGIN INIT INFO
# Provides:				dejsemd
# Required-Start:		$local_fs $network
# Required-Stop:		$local_fs $network
# Default-Start:		2 3 4 5
# Default-Stop:			0 1 6
# Short-Description:	dejsem daemon
# Description:			dejsem is development clone of dejsem
#						dejsem is clipboard and files exchange mediator 
### END INIT INFO
# -*- coding: utf-8 -*-
# Debian init.d script for dejsem

set -e

DAEMON=/usr/bin/dejsemd
NAME=dejsemd
DAEMONUSER=dejsem
PIDFILE=/var/run/dejsem.pid
LOG=/var/log/dejsem.log
DESC="development clone of dejsem"

test -x $DAEMON || exit 0

. /lib/lsb/init-functions

# Source defaults file; edit that file to configure this script.
if [ -e /etc/default/dejsem ]
then	. /etc/default/dejsem
fi
export DEB
export SSLP
export LOG
export BASEPORT

start_it_up()
{
  if [ ! -e $LOG ]; then
    touch $LOG
    chown $DAEMONUSER.$DAEMONUSER $LOG
  fi

  if [ -e $PIDFILE ]; then
    if $0 status > /dev/null ; then
      log_success_msg "$DESC already started; not starting."
      return
    else
      log_success_msg "Removing stale PID file $PIDFILE."
      rm -f $PIDFILE
    fi
  fi

  log_daemon_msg "Starting $DESC" "$NAME"
  start-stop-daemon --start --pidfile $PIDFILE --make-pidfile --background --chuid $DAEMONUSER --exec $DAEMON
  log_end_msg $?
}

shut_it_down()
{
  log_daemon_msg "Stopping $DESC" "$NAME"
  start-stop-daemon --stop --retry 5 --quiet --oknodo --pidfile $PIDFILE --remove-pidfile --user $DAEMONUSER
  log_end_msg $?
  rm -f $PIDFILE
}

case "$1" in
  start)
    start_it_up
  ;;
  stop)
    shut_it_down
  ;;
  restart)
    shut_it_down
    start_it_up
  ;;
  status)
    status_of_proc -p $PIDFILE $DAEMON $NAME && exit 0 || exit $?
    ;;
  *)
    echo "Usage: /etc/init.d/$NAME {start|stop|restart|status}" >&2
    exit 2
  ;;
esac
